foldersTree = gFld("<b>Modelib</b>", "", "")
     insDoc(foldersTree, gLnk("Page principale", "", "main.html"))
aux1 = insFld(foldersTree, gFld("Liste des fichiers", "", "files.html"))
       insDoc(aux1, gLnk("Algorithms.h", "", "a00147.html"))
       insDoc(aux1, gLnk("Buildfile.py", "", "a00148.html"))
       insDoc(aux1, gLnk("Config.h", "", "a00149.html"))
       insDoc(aux1, gLnk("Constant.h", "", "a00150.html"))
       insDoc(aux1, gLnk("Constraint.cpp", "", "a00151.html"))
       insDoc(aux1, gLnk("Constraint.h", "", "a00152.html"))
       insDoc(aux1, gLnk("ConstraintBuilder.cpp", "", "a00153.html"))
       insDoc(aux1, gLnk("ConstraintBuilder.h", "", "a00154.html"))
       insDoc(aux1, gLnk("Ensemble.h", "", "a00155.html"))
       insDoc(aux1, gLnk("Expr.cpp", "", "a00156.html"))
       insDoc(aux1, gLnk("Expr.h", "", "a00157.html"))
       insDoc(aux1, gLnk("ExprNode.h", "", "a00158.html"))
       insDoc(aux1, gLnk("FichierLP.cpp", "", "a00159.html"))
       insDoc(aux1, gLnk("FichierLP.h", "", "a00160.html"))
       insDoc(aux1, gLnk("FichierProbleme.cpp", "", "a00161.html"))
       insDoc(aux1, gLnk("FichierProbleme.h", "", "a00162.html"))
       insDoc(aux1, gLnk("Fraction.cpp", "", "a00163.html"))
       insDoc(aux1, gLnk("Fraction.h", "", "a00164.html"))
       insDoc(aux1, gLnk("htmlFile.cpp", "", "a00165.html"))
       insDoc(aux1, gLnk("htmlFile.h", "", "a00166.html"))
       insDoc(aux1, gLnk("InternalConstraint.h", "", "a00167.html"))
       insDoc(aux1, gLnk("LagrangianParam.cpp", "", "a00168.html"))
       insDoc(aux1, gLnk("LagrangianParam.h", "", "a00169.html"))
       insDoc(aux1, gLnk("latexFile.cpp", "", "a00170.html"))
       insDoc(aux1, gLnk("latexFile.h", "", "a00171.html"))
       insDoc(aux1, gLnk("main.cpp", "", "a00172.html"))
       insDoc(aux1, gLnk("Makefile", "", "a00173.html"))
       insDoc(aux1, gLnk("MatriceCreuse.cxx", "", "a00174.html"))
       insDoc(aux1, gLnk("MatriceCreuse.h", "", "a00175.html"))
       insDoc(aux1, gLnk("Model.cpp", "", "a00176.html"))
       insDoc(aux1, gLnk("Model.h", "", "a00177.html"))
       insDoc(aux1, gLnk("Modelib.h", "", "a00178.html"))
       insDoc(aux1, gLnk("MuteVar.h", "", "a00179.html"))
       insDoc(aux1, gLnk("Nom.h", "", "a00180.html"))
       insDoc(aux1, gLnk("Num.cpp", "", "a00181.html"))
       insDoc(aux1, gLnk("Num.h", "", "a00182.html"))
       insDoc(aux1, gLnk("NumArray.cpp", "", "a00183.html"))
       insDoc(aux1, gLnk("NumArray.h", "", "a00184.html"))
       insDoc(aux1, gLnk("NumVar.cpp", "", "a00185.html"))
       insDoc(aux1, gLnk("NumVar.h", "", "a00186.html"))
       insDoc(aux1, gLnk("NumVarArray.cpp", "", "a00187.html"))
       insDoc(aux1, gLnk("NumVarArray.h", "", "a00188.html"))
       insDoc(aux1, gLnk("NumVarFamily.h", "", "a00189.html"))
       insDoc(aux1, gLnk("NumVarHyperMatrix.h", "", "a00190.html"))
       insDoc(aux1, gLnk("NumVarMatrix.cpp", "", "a00191.html"))
       insDoc(aux1, gLnk("NumVarMatrix.h", "", "a00192.html"))
       insDoc(aux1, gLnk("Paire.h", "", "a00193.html"))
       insDoc(aux1, gLnk("Png.cpp", "", "a00194.html"))
       insDoc(aux1, gLnk("Png.h", "", "a00195.html"))
       insDoc(aux1, gLnk("PsFile.cpp", "", "a00196.html"))
       insDoc(aux1, gLnk("PsFile.h", "", "a00197.html"))
       insDoc(aux1, gLnk("py_Constraint.cxx", "", "a00198.html"))
       insDoc(aux1, gLnk("py_ConstraintBuilder.cxx", "", "a00199.html"))
       insDoc(aux1, gLnk("py_Expr.cxx", "", "a00200.html"))
       insDoc(aux1, gLnk("py_htmlFile.cxx", "", "a00201.html"))
       insDoc(aux1, gLnk("py_LagrangianParam.cxx", "", "a00202.html"))
       insDoc(aux1, gLnk("py_latexFile.cxx", "", "a00203.html"))
       insDoc(aux1, gLnk("py_Model.cxx", "", "a00204.html"))
       insDoc(aux1, gLnk("py_Num.cxx", "", "a00205.html"))
       insDoc(aux1, gLnk("py_NumVar.cxx", "", "a00206.html"))
       insDoc(aux1, gLnk("py_NumVarArray.cxx", "", "a00207.html"))
       insDoc(aux1, gLnk("Python.cpp", "", "a00208.html"))
       insDoc(aux1, gLnk("SolverAPI.cpp", "", "a00209.html"))
       insDoc(aux1, gLnk("SolverAPI.h", "", "a00210.html"))
aux1 = insFld(foldersTree, gFld("Liste des composants", "", "annotated.html"))
       insDoc(aux1, gLnk("Affiche< Elmt >", "", "a00076.html"))
       insDoc(aux1, gLnk("Bool", "", "a00077.html"))
       insDoc(aux1, gLnk("BoolArray", "", "a00078.html"))
       insDoc(aux1, gLnk("BoolIT< Elmt >", "", "a00079.html"))
       insDoc(aux1, gLnk("BoolVar", "", "a00080.html"))
       insDoc(aux1, gLnk("BoolVarArray", "", "a00081.html"))
       insDoc(aux1, gLnk("BoolVarFamily< N, T >", "", "a00082.html"))
       insDoc(aux1, gLnk("BoolVarMatrix", "", "a00083.html"))
       insDoc(aux1, gLnk("Cmp", "", "a00084.html"))
       insDoc(aux1, gLnk("Comparaison", "", "a00085.html"))
       insDoc(aux1, gLnk("Compare< T >", "", "a00086.html"))
       insDoc(aux1, gLnk("Constraint", "", "a00087.html"))
       insDoc(aux1, gLnk("ConstraintBuilder", "", "a00088.html"))
       insDoc(aux1, gLnk("Ensemble< T >", "", "a00089.html"))
       insDoc(aux1, gLnk("Expr", "", "a00090.html"))
       insDoc(aux1, gLnk("ExprNode", "", "a00091.html"))
       insDoc(aux1, gLnk("FichierLP", "", "a00092.html"))
       insDoc(aux1, gLnk("FichierProbleme", "", "a00093.html"))
       insDoc(aux1, gLnk("Float", "", "a00094.html"))
       insDoc(aux1, gLnk("FloatArray", "", "a00095.html"))
       insDoc(aux1, gLnk("FloatVar", "", "a00096.html"))
       insDoc(aux1, gLnk("FloatVarArray", "", "a00097.html"))
       insDoc(aux1, gLnk("FloatVarFamily< N, T >", "", "a00098.html"))
       insDoc(aux1, gLnk("FloatVarMatrix", "", "a00099.html"))
       insDoc(aux1, gLnk("for_all_num< Elmt, Container, Prop >", "", "a00100.html"))
       insDoc(aux1, gLnk("for_all_var< Elmt, Container, Prop >", "", "a00101.html"))
       insDoc(aux1, gLnk("FractionConvert", "", "a00102.html"))
       insDoc(aux1, gLnk("FractionConvert::Fraction", "", "a00103.html"))
       insDoc(aux1, gLnk("HTMLFile", "", "a00104.html"))
       insDoc(aux1, gLnk("Id", "", "a00105.html"))
       insDoc(aux1, gLnk("Int", "", "a00106.html"))
       insDoc(aux1, gLnk("IntArray", "", "a00107.html"))
       insDoc(aux1, gLnk("InternalConstraint", "", "a00108.html"))
       insDoc(aux1, gLnk("IntVar", "", "a00109.html"))
       insDoc(aux1, gLnk("IntVarArray", "", "a00110.html"))
       insDoc(aux1, gLnk("IntVarFamily< N, T >", "", "a00111.html"))
       insDoc(aux1, gLnk("IntVarMatrix", "", "a00112.html"))
       insDoc(aux1, gLnk("LagrangianParam", "", "a00113.html"))
       insDoc(aux1, gLnk("LATEXFile", "", "a00114.html"))
       insDoc(aux1, gLnk("MatriceCreuse< T >", "", "a00115.html"))
       insDoc(aux1, gLnk("Model", "", "a00116.html"))
       insDoc(aux1, gLnk("MuteVar", "", "a00117.html"))
       insDoc(aux1, gLnk("Nom", "", "a00118.html"))
       insDoc(aux1, gLnk("NotNull< Elmt >", "", "a00119.html"))
       insDoc(aux1, gLnk("Num", "", "a00120.html"))
       insDoc(aux1, gLnk("NumArray", "", "a00121.html"))
       insDoc(aux1, gLnk("NumVar", "", "a00122.html"))
       insDoc(aux1, gLnk("NumVarArray", "", "a00123.html"))
       insDoc(aux1, gLnk("NumVarFamily< N, T >", "", "a00124.html"))
       insDoc(aux1, gLnk("NumVarHyperMatrix< N >", "", "a00125.html"))
       insDoc(aux1, gLnk("NumVarHyperMatrix< 0 >", "", "a00126.html"))
       insDoc(aux1, gLnk("NumVarMatrix", "", "a00127.html"))
       insDoc(aux1, gLnk("Nuplet< N, T >", "", "a00128.html"))
       insDoc(aux1, gLnk("OBJECTIVE_PROD< Container_VAR, Container_NUM >", "", "a00129.html"))
       insDoc(aux1, gLnk("OBJECTIVE_SUM< Container >", "", "a00130.html"))
       insDoc(aux1, gLnk("Omega< I, N, T >", "", "a00131.html"))
       insDoc(aux1, gLnk("Paire", "", "a00132.html"))
       insDoc(aux1, gLnk("Partie< T >", "", "a00133.html"))
       insDoc(aux1, gLnk("Partie< T >::Inter", "", "a00134.html"))
       insDoc(aux1, gLnk("Partie< T >::Union", "", "a00135.html"))
       insDoc(aux1, gLnk("plConstraintNode", "", "a00136.html"))
       insDoc(aux1, gLnk("plExprNode", "", "a00137.html"))
       insDoc(aux1, gLnk("plGlobalNode", "", "a00138.html"))
       insDoc(aux1, gLnk("plSimpleConstraint", "", "a00139.html"))
       insDoc(aux1, gLnk("PNGImage", "", "a00140.html"))
       insDoc(aux1, gLnk("Propriete< T >", "", "a00141.html"))
       insDoc(aux1, gLnk("PSFile", "", "a00142.html"))
       insDoc(aux1, gLnk("SolverAPI", "", "a00143.html"))
       insDoc(aux1, gLnk("solverVAR_NomVal", "", "a00144.html"))
       insDoc(aux1, gLnk("sum< Elmt, Container >", "", "a00145.html"))
       insDoc(aux1, gLnk("while_prop< Elmt, Container, PropOper, PropVerify >", "", "a00146.html"))
aux1 = insFld(foldersTree, gFld("Hiérarchie des classes", "", "hierarchy.html"))
       insDoc(aux1, gLnk("Affiche< Elmt >", "", "a00076.html"))
       insDoc(aux1, gLnk("BoolIT< Elmt >", "", "a00079.html"))
       insDoc(aux1, gLnk("Cmp", "", "a00084.html"))
       insDoc(aux1, gLnk("Comparaison", "", "a00085.html"))
       insDoc(aux1, gLnk("Compare< T >", "", "a00086.html"))
       insDoc(aux1, gLnk("Constraint", "", "a00087.html"))
       insDoc(aux1, gLnk("ConstraintBuilder", "", "a00088.html"))
       insDoc(aux1, gLnk("Ensemble< T >", "", "a00089.html"))
       insDoc(aux1, gLnk("Expr", "", "a00090.html"))
       insDoc(aux1, gLnk("ExprNode", "", "a00091.html"))
  aux2 = insFld(aux1, gFld("FichierProbleme", "", "a00093.html"))
         insDoc(aux2, gLnk("FichierLP", "", "a00092.html"))
       insDoc(aux1, gLnk("for_all_num< Elmt, Container, Prop >", "", "a00100.html"))
       insDoc(aux1, gLnk("for_all_var< Elmt, Container, Prop >", "", "a00101.html"))
       insDoc(aux1, gLnk("FractionConvert", "", "a00102.html"))
       insDoc(aux1, gLnk("FractionConvert::Fraction", "", "a00103.html"))
       insDoc(aux1, gLnk("HTMLFile", "", "a00104.html"))
       insDoc(aux1, gLnk("Id", "", "a00105.html"))
       insDoc(aux1, gLnk("InternalConstraint", "", "a00108.html"))
       insDoc(aux1, gLnk("LagrangianParam", "", "a00113.html"))
       insDoc(aux1, gLnk("LATEXFile", "", "a00114.html"))
       insDoc(aux1, gLnk("MatriceCreuse< T >", "", "a00115.html"))
       insDoc(aux1, gLnk("Model", "", "a00116.html"))
       insDoc(aux1, gLnk("MuteVar", "", "a00117.html"))
       insDoc(aux1, gLnk("Nom", "", "a00118.html"))
       insDoc(aux1, gLnk("NotNull< Elmt >", "", "a00119.html"))
  aux2 = insFld(aux1, gFld("Num", "", "a00120.html"))
         insDoc(aux2, gLnk("Bool", "", "a00077.html"))
         insDoc(aux2, gLnk("Float", "", "a00094.html"))
         insDoc(aux2, gLnk("Int", "", "a00106.html"))
  aux2 = insFld(aux1, gFld("NumArray", "", "a00121.html"))
         insDoc(aux2, gLnk("BoolArray", "", "a00078.html"))
         insDoc(aux2, gLnk("FloatArray", "", "a00095.html"))
         insDoc(aux2, gLnk("IntArray", "", "a00107.html"))
  aux2 = insFld(aux1, gFld("NumVar", "", "a00122.html"))
         insDoc(aux2, gLnk("BoolVar", "", "a00080.html"))
         insDoc(aux2, gLnk("FloatVar", "", "a00096.html"))
         insDoc(aux2, gLnk("IntVar", "", "a00109.html"))
  aux2 = insFld(aux1, gFld("NumVarArray", "", "a00123.html"))
         insDoc(aux2, gLnk("BoolVarArray", "", "a00081.html"))
         insDoc(aux2, gLnk("FloatVarArray", "", "a00097.html"))
         insDoc(aux2, gLnk("IntVarArray", "", "a00110.html"))
  aux2 = insFld(aux1, gFld("NumVarFamily< N, T >", "", "a00124.html"))
         insDoc(aux2, gLnk("BoolVarFamily< N, T >", "", "a00082.html"))
         insDoc(aux2, gLnk("FloatVarFamily< N, T >", "", "a00098.html"))
         insDoc(aux2, gLnk("IntVarFamily< N, T >", "", "a00111.html"))
       insDoc(aux1, gLnk("NumVarHyperMatrix< N >", "", "a00125.html"))
       insDoc(aux1, gLnk("NumVarHyperMatrix< 0 >", "", "a00126.html"))
  aux2 = insFld(aux1, gFld("NumVarMatrix", "", "a00127.html"))
         insDoc(aux2, gLnk("BoolVarMatrix", "", "a00083.html"))
         insDoc(aux2, gLnk("FloatVarMatrix", "", "a00099.html"))
         insDoc(aux2, gLnk("IntVarMatrix", "", "a00112.html"))
       insDoc(aux1, gLnk("Nuplet< N, T >", "", "a00128.html"))
       insDoc(aux1, gLnk("OBJECTIVE_PROD< Container_VAR, Container_NUM >", "", "a00129.html"))
       insDoc(aux1, gLnk("OBJECTIVE_SUM< Container >", "", "a00130.html"))
       insDoc(aux1, gLnk("Paire", "", "a00132.html"))
       insDoc(aux1, gLnk("Partie< T >", "", "a00133.html"))
       insDoc(aux1, gLnk("Partie< T >::Inter", "", "a00134.html"))
       insDoc(aux1, gLnk("Partie< T >::Union", "", "a00135.html"))
       insDoc(aux1, gLnk("plConstraintNode", "", "a00136.html"))
       insDoc(aux1, gLnk("plExprNode", "", "a00137.html"))
       insDoc(aux1, gLnk("plGlobalNode", "", "a00138.html"))
       insDoc(aux1, gLnk("plSimpleConstraint", "", "a00139.html"))
       insDoc(aux1, gLnk("PNGImage", "", "a00140.html"))
       insDoc(aux1, gLnk("Propriete< T >", "", "a00141.html"))
  aux2 = insFld(aux1, gFld("Propriete< Nuplet< N, T > >", "", "a00141.html"))
         insDoc(aux2, gLnk("Omega< I, N, T >", "", "a00131.html"))
       insDoc(aux1, gLnk("PSFile", "", "a00142.html"))
       insDoc(aux1, gLnk("SolverAPI", "", "a00143.html"))
       insDoc(aux1, gLnk("solverVAR_NomVal", "", "a00144.html"))
       insDoc(aux1, gLnk("sum< Elmt, Container >", "", "a00145.html"))
       insDoc(aux1, gLnk("while_prop< Elmt, Container, PropOper, PropVerify >", "", "a00146.html"))
     insDoc(foldersTree, gLnk("Composants", "", "functions.html"))
aux1 = insFld(foldersTree, gFld("Liste des namespaces", "", "namespaces.html"))
       insDoc(aux1, gLnk("std", "", "a00211.html"))
     insDoc(foldersTree, gLnk("Déclarations", "", "globals.html"))
     insDoc(foldersTree, gLnk("Diagramme hiérarchique des classes", "", "inherits.html"))
